#ifndef USER_MAIN_H_
#define USER_MAIN_H_

#include "stdio.h"
#include "ch32v30x.h"

struct GasRecord
{
    short HC;//碳氢
    short CO2;//二氧化碳
    short CO;//一氧化碳
    short NO;//氮氧
    short O2;//氧
    short EnvPressure;//环境气压
    short PipePressure;//管道气压
    short EnvTemperature;//环境温度
    short OilTemperature;//机油温度
    short PEF;//
    u8 GasPageState;//0:待机 1:检测中 2:调零中 3:调零O2中 4:标定中 5:泄露检测中 6:预热中
    u8 OBDState;//1:连接了 0:未连接
    u16 OBD_EngineSpeed;//发动机速度
    u16 OBD_CarSpeed;//车速
    u16 OBD_WaterTemper;//水温
    u16 PMConcentration;//PM浓度
    u16 KValue;//K值
    u16 Opecity;//不透光度
    u8 OBD_DataValid;//OBD数据有效否
};

extern struct GasRecord SensorStatus;

#endif /* USER_MAIN_H_ */

